GET https://api.ap1.datadoghq.com/api/v2/scim/Groups/{group_id}https://api.ap2.datadoghq.com/api/v2/scim/Groups/{group_id}https://api.datadoghq.eu/api/v2/scim/Groups/{group_id}https://api.ddog-gov.com/api/v2/scim/Groups/{group_id}https://api.us2.ddog-gov.com/api/v2/scim/Groups/{group_id}https://api.datadoghq.com/api/v2/scim/Groups/{group_id}https://api.us3.datadoghq.com/api/v2/scim/Groups/{group_id}https://api.us5.datadoghq.com/api/v2/scim/Groups/{group_id}
Overview
Get a single group using the group_id.
This endpoint requires
all
of the following permissions:
user_access_inviteuser_access_manageArguments
Path Parameters
Response
OK
Definition of a group.
Expand All
A human-readable name for the group.
An identifier for the resource as defined by the provisioning client.
The identifier of the resource. Not required when creating a group.
The URI corresponding to a SCIM resource that is a member of this group.
A human-readable name for the group member.
A label indicating the type of resource.
The identifier of the member of this group.
Metadata associated with a group.
The date and time the group was created.
The date and time the group was last changed.
URL identifying the resource.
{
"displayName": "string",
"externalId": "string",
"id": "string",
"members": [
{
"$ref": "https://app.datadoghq.com/api/scim/v2/Users/429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6",
"display": "John Doe",
"type": "User",
"value": "429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6"
}
],
"meta": {
"created": "2024-10-17T12:53:35.793Z",
"lastModified": "2024-10-19T12:53:35.793Z",
"location": "https://app.datadoghq.com/api/scim/v2/Groups/429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6",
"resourceType": "Group"
},
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
]
}
Bad Request
{
"errors": [
"Bad Request"
]
}
Not Found
{
"errors": [
"Bad Request"
]
}
Too many requests
{
"errors": [
"Bad Request"
]
}
Code Example
# Path parameters
export group_id="CHANGE_ME"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Groups/${group_id}" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"